import { world } from "mojang-minecraft"


const commandPrefix = "cmd-run="



function customCommand(command, args, msg, player) {
  
  let dimension = world.getDimension('overworld')
  
   switch(command) {
     case "gamergodmode=true":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=cmdenabled,type=hus909:computer,r=3,c=1] ~~~ function cmd_godmode-true`)
      break;
    case "gamergodmode=false":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=cmdenabled,type=hus909:computer,r=3,c=1] ~~~ function cmd_godmode-false`)
      break;
    case "install=rtx-3090=true":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=cmdenabled,type=hus909:computer,r=3,c=1] ~~~`)
      break;
    case "factory-reset":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=cmdenabled,type=hus909:computer,r=3,c=1] ~~~`)
      break;
    case "nsfw-mode=true":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=cmdenabled,type=hus909:computer,r=3,c=1] ~~~`)
      break;
    case "green-screen":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=cmdenabled,type=hus909:computer,r=3,c=1] ~~~ function greenscreen_mode`)
      break;
    case "delete:crappyos/crapfiles/system69":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=cmdenabled,type=hus909:computer,r=3,c=1] ~~~ function delete_system69`)
      break;
     default:
      dimension.runCommand(`execute "${player.nameTag}" ~~~  execute @e[tag=cmdenabled,type=hus909:computer,r=3,c=1] ~~~ tellraw @a[r=3] {\"rawtext\":[{\"text\":\"§cInvalid command: ${command}"}]}`)
   }
}


world.events.beforeChat.subscribe(msg => {
  if(!msg.message.startsWith(commandPrefix)) return
   const args = msg.message.slice(commandPrefix.length).trim().split(/\s+/);
  msg.cancel = true
  const player = msg.sender
  const command = args.shift()
  customCommand(command, args, args.join(" "), player)
})