import { world } from "mojang-minecraft"


const commandPrefix = "door="



function customCommand(command, args, msg, player) {
  
  let dimension = world.getDimension('overworld')
  
   switch(command) {
     case "on":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[type=hus909:computer,r=3,c=1] ~~~ function fnaa_door_on_cam`)
      break;
     case "off":
     dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[type=hus909:computer,r=3,c=1] ~~~ function fnaa_door_off_cam`)
      break;  
     default:
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=doorcontrol] ~~~ tellraw @a[r=3] {\"rawtext\":[{\"text\":\"§aCorrect way: §b'door=<close/open>'"}]}`)
   }
}


world.events.beforeChat.subscribe(msg => {
  if(!msg.message.startsWith(commandPrefix)) return
   const args = msg.message.slice(commandPrefix.length).trim().split(/\s+/);
  msg.cancel = true
  const player = msg.sender
  const command = args.shift()
  customCommand(command, args, args.join(" "), player)
})