import { world } from "mojang-minecraft"


const commandPrefix = "run-app="



function customCommand(command, args, msg, player) {

  let dimension = world.getDimension('overworld')

  switch (command) {
    case "f.n.a.a":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=runapps,type=hus909:computer,r=3,c=1] ~~~ function open_app_fnaa`)
      break;
    case "a.d.s.a":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=runapps,type=hus909:computer,r=3,c=1] ~~~ function open_app_adsa`)
      break;
    case "mineweb":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=runapps,type=hus909:computer,r=3,c=1] ~~~ function open_app_mineweb`)
      break;
    case "find-ur-balls":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=runapps,type=hus909:computer,r=3,c=1] ~~~`)
      break;
    case "baseball":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=runapps,type=hus909:computer,r=3,c=1] ~~~ function open_app_baseball`)
      break;
    case "cmd":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=runapps,type=hus909:computer,r=3,c=1] ~~~ function open_app_cmd`)
      break;
    case "nuke-operator":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=runapps,type=hus909:computer,r=3,c=1] ~~~ function open_app_nuke`)
      break;
    case "cubox":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=runapps,type=hus909:computer,r=3,c=1] ~~~ function open_app_cubox`)
      break;
    case "weapon-operator":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=runapps,type=hus909:computer,r=3,c=1] ~~~ function open_app_weapon`)
      break;
    case "printer":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=runapps,type=hus909:computer,r=3,c=1] ~~~ function open_app_printer`)
      break;
    case "t.d.d":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=runapps,type=hus909:computer,r=3,c=1] ~~~ function open_app_dadogdoin`)
      break;
    case "doorvolution":
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=runapps,type=hus909:computer,r=3,c=1] ~~~ function open_app_doorvolution`)
      break;
    default:
      dimension.runCommand(`execute "${player.nameTag}" ~~~ execute @e[tag=runapps,type=hus909:computer,r=3,c=1] ~~~`)
  }
}


world.events.beforeChat.subscribe(msg => {
  if (!msg.message.startsWith(commandPrefix)) return
  const args = msg.message.slice(commandPrefix.length).trim().split(/\s+/);
  msg.cancel = true
  const player = msg.sender
  const command = args.shift()
  customCommand(command, args, args.join(" "), player)
})